NDB_MGM(1)

NAME
ndb_mgm - the MySQL Cluster management client

SYNOPSIS

ndb_mgm options

DESCRIPTION

The ndb_mgm management client process is actually not needed to run the cluster. Its value lies in providing a set of commands for checking the cluster's status, starting backups, and performing other administrative functions. The management client accesses the management server using a C API. Advanced users can also employ this API for programming dedicated management processes to perform tasks similar to those performed by ndb_mgm.

To start the management client, it is necessary to supply the host name and port number of the management server:

    shell> ndb_mgm [host_name [port_num]]

For example:

    shell> ndb_mgm ndb_mgmd.mysql.com 1186

The default host name and port number are localhost and 1186, respectively.

The following table includes options that are specific to the MySQL Cluster management client program ndb_mgm. Additional descriptions follow the table. For options common to most MySQL Cluster programs (including ndb_mgm), see Options Common to MySQL Cluster Programs(1).

Table 17.13. ndb_mgm Options and Variables: MySQL 5.1, MySQL Cluster NDB 6.3-7.1
Format | Description | Added / Removed
--try-reconnect=#, -t | Specify number of tries for connecting to ndb_mgmd (0 = infinite) | All MySQL 5.1 based releases
--execute=name, -e | Execute command and exit | All MySQL 5.1 based releases

    • --execute=command, -e command
    Command-Line Format | --execute=name
     | -e

    This option can be used to send a command to the MySQL Cluster management client from the system shell. For example, either of the following is equivalent to executing SHOW in the management client:

        shell> ndb_mgm -e "SHOW"
        shell> ndb_mgm --execute="SHOW"

    This is analogous to how the --execute or -e option works with the mysql command-line client. See Section 4.2.3.1, “Using Options on the Command Line”.

        Note
        If the management client command to be passed using this option contains any space characters, then the command must be enclosed in quotation marks. Either single or double quotation marks may be used. If the management client command contains no space characters, the quotation marks are optional.

    • --try-reconnect=number
    Command-Line Format | --try-reconnect=#
     | -t
     | Permitted Values
     | Type | boolean
     | Default | TRUE

    If the connection to the management server is broken, the node tries to reconnect to it every 5 seconds until it succeeds. By using this option, it is possible to limit the number of attempts to number before giving up and reporting an error instead.

Additional information about using ndb_mgm can be found in Section 17.5.2, “Commands in the MySQL Cluster Management Client”.

COPYRIGHT

Copyright © 1997, 2013, Oracle and/or its affiliates. All rights reserved.

This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA or see http://www.gnu.org/licenses/.

SEE ALSO
For more information, please refer to the MySQL Reference Manual, which may already be installed locally and which is also available online at http://dev.mysql.com/doc/.

AUTHOR
Oracle Corporation (http://dev.mysql.com/).